Index: bare/config/devel/autoconf-2.68-1.cfg
===================================================================
--- bare/config/devel/autoconf-2.68-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/autoconf-2.68-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# Autoconf 2.68.
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define autoconf_version 2.68
+
+#
+# The autoconf build instructions. We use 2.xx Release 1.
+#
+%include %{_configdir}/autoconf-2-1.cfg
Index: bare/config/devel/autoconf-2.69-1.cfg
===================================================================
--- bare/config/devel/autoconf-2.69-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/autoconf-2.69-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# Autoconf 2.69.
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define autoconf_version 2.69
+
+#
+# The autoconf build instructions. We use 2.xx Release 1.
+#
+%include %{_configdir}/autoconf-2-1.cfg
Index: bare/config/devel/autoconf-internal-2.68-1.cfg
===================================================================
--- bare/config/devel/autoconf-internal-2.68-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/autoconf-internal-2.68-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,8 @@
+#
+# Internal Autoconf 2.68.
+#
+
+%warning This autoconf build is for internal bootstraps, no package created
+
+%define _internal_autotools yes
+%include %{_configdir}/autoconf-2.68-1.cfg
Index: bare/config/devel/automake-1.12-1.cfg
===================================================================
--- bare/config/devel/automake-1.12-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/automake-1.12-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# Automake 1.12
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define automake_version 1.12
+
+#
+# The automake build instructions. We use 1.xx Release 1.
+#
+%include %{_configdir}/automake-1-1.cfg
Index: bare/config/devel/automake-1.12.2-1.cfg
===================================================================
--- bare/config/devel/automake-1.12.2-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/automake-1.12.2-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# Automake 1.12.2
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define automake_version 1.12.2
+
+#
+# The automake build instructions. We use 1.xx Release 1.
+#
+%include %{_configdir}/automake-1-1.cfg
Index: bare/config/devel/automake-internal-1.12-1.cfg
===================================================================
--- bare/config/devel/automake-internal-1.12-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/automake-internal-1.12-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,8 @@
+#
+# Internal Automake 1.12
+#
+
+%warning This automake build is for internal bootstraps, no package created
+
+%define _internal_autotools yes
+%include %{_configdir}/automake-1.12-1.cfg
Index: bare/config/devel/binutils-2.22-1.cfg
===================================================================
--- bare/config/devel/binutils-2.22-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/binutils-2.22-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,17 @@
+#
+# Binutils 2.22.
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+%define binutils_version 2.22
+
+#
+# The binutils build instructions. We use 2.xx Release 1.
+#
+%include %{_configdir}/binutils-2-1.cfg
Index: bare/config/devel/dtc-1.2.0.cfg
===================================================================
--- bare/config/devel/dtc-1.2.0.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/dtc-1.2.0.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# DTC (Device Tree Compiler) 1.2.0
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define dtc_version 1.2.0
+
+#
+# The DTC build instructions. We use 1.x.x Release 1.
+#
+%include %{_configdir}/dtc-1-1.cfg
Index: bare/config/devel/expat-2.1.0-1.cfg
===================================================================
--- bare/config/devel/expat-2.1.0-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/expat-2.1.0-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# Expat 2.1.0
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define expat_version 2.1.0
+
+#
+# The Expat build instructions. We use 2.xx Release 1.
+#
+%include %{_configdir}/expat-2-1.cfg
Index: bare/config/devel/gcc-4.6-newlib-1.20-1.cfg
===================================================================
--- bare/config/devel/gcc-4.6-newlib-1.20-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/gcc-4.6-newlib-1.20-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,26 @@
+#
+# GCC 2.6, Newlib 1.20
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+%define gcc_version    4.6.3
+%define newlib_version 1.20.0
+%define mpfr_version   3.0.1
+%define mpc_version    0.8.2
+%define gmp_version    5.0.5
+
+#
+# Project custom message
+#
+%define gcc_version_message GCC %{release}-RSB(%{_sbgit_id}),gcc-%{gcc_version}/newlib-%{newlib_version}
+
+#
+# The gcc/newlib build instructions. We use 4.6 Release 1.
+#
+%include %{_configdir}/gcc-4.6-1.cfg
Index: bare/config/devel/gcc-4.7-newlib-1.20-1.cfg
===================================================================
--- bare/config/devel/gcc-4.7-newlib-1.20-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/gcc-4.7-newlib-1.20-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,26 @@
+#
+# GCC 4.7.2, Newlib 1.20
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/checks.cfg
+%include %{_configdir}/base.cfg
+
+%define gcc_version    4.7.2
+%define newlib_version 1.20.0
+%define mpfr_version   3.0.1
+%define mpc_version    1.0.1
+%define gmp_version    5.0.5
+
+#
+# Project custom message
+#
+%define gcc_version_message GCC %{release}-RSB(%{_sbgit_id}),gcc-%{gcc_version}/newlib-%{newlib_version}
+
+#
+# The gcc/newlib build instructions. We use 4.7 Release 1.
+#
+%include %{_configdir}/gcc-4.7-1.cfg
Index: bare/config/devel/libusb-1.0.9-1.cfg
===================================================================
--- bare/config/devel/libusb-1.0.9-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/libusb-1.0.9-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,21 @@
+#
+# LibUSB 1.0.9
+#
+
+%ifn %{defined release}
+%error No 'release' defined
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define libusb_version 1.0.9
+
+Name: libusb-%{libusb_version}-%{_host}-%{release}
+
+%description
+LibUSB for host %{_host}.
+
+#
+# The Libuxb build instructions. We use 1.xx Release 1.
+#
+%include %{_configdir}/libusb-1-1.cfg
Index: bare/config/devel/m4-1.4.16-1.cfg
===================================================================
--- bare/config/devel/m4-1.4.16-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/m4-1.4.16-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,16 @@
+#
+# M4 1.4.16
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define m4_version 1.4.16
+
+#
+# The m4 build instructions. We use 1.x.x Release 1.
+#
+%include %{_configdir}/m4-1-1.cfg
Index: bare/config/devel/texane-stlink-1.cfg
===================================================================
--- bare/config/devel/texane-stlink-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/devel/texane-stlink-1.cfg	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,70 @@
+#
+# ST-Link Version 1.
+#
+# This configuration file configure's, make's and install's SL-Link.
+#
+
+%if %{release} == %{nil}
+%define release 1
+%endif
+
+%include %{_configdir}/base.cfg
+
+%define stlink_version 3494c11
+
+Name:      texane-stlink-%{stlink_version}-%{release}
+Summary:   ST-Link v%{stlink_version} for host %{_host}
+Version:   %{stlink_version}
+Release:   %{release}
+URL: 	   https://github.com/texane/stlink/
+BuildRoot: %{_tmppath}/%{name}-root-%(%{__id_u} -n)
+
+#
+# Source
+#
+Source0: https://api.github.com/repos/texane/stlink/texane-stlink-%{stlink_version}.tar.gz
+VersionControl0: git clone https://github.com/texane/stlink.git
+Patch0: texane-stlink-3494c11-2.diff
+
+#
+# Prepare the source code.
+#
+%prep
+%setup -q -c -n %{name}-%{version}
+cd texane-stlink-%{stlink_version}
+%{?patch0:%patch0 -p1}
+cd ..
+
+%build
+  export PATH="%{_bindir}:${PATH}"
+
+  cd texane-stlink-%{stlink_version}
+
+  ./autogen.sh
+
+%if "%{_build}" != "%{_host}"
+  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
+%endif
+  CPPFLAGS="-I $SB_TMPPREFIX/include/libusb-1.0" \
+  CFLAGS="$SB_OPT_FLAGS" \
+  LDFLAGS="-L $SB_TMPPREFIX/lib" \
+  ./configure \
+    --build=%{_build} --host=%{_host} \
+    --verbose \
+    --prefix=%{_prefix} --bindir=%{_bindir} \
+    --exec-prefix=%{_exec_prefix} \
+    --includedir=%{_includedir} --libdir=%{_libdir} \
+    --mandir=%{_mandir} --infodir=%{_infodir}
+
+  %{__make} %{?_smp_mflags} all
+
+  cd ..
+
+%install
+  export PATH="%{_bindir}:${PATH}"
+  rm -rf $SB_BUILD_ROOT
+
+  cd texane-stlink-%{stlink_version}
+  %{__make} DESTDIR=$SB_BUILD_ROOT install
+
+  cd ..
Index: bare/config/gnu-tools-4.6.bset
===================================================================
--- bare/config/gnu-tools-4.6.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
+++ bare/config/gnu-tools-4.6.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -0,0 +1,25 @@
+#
+# GNU Tools Set
+#
+
+%define release 1
+
+package: gnu-tool-%{_target}-%{release}
+
+#
+# Project custom message
+#
+%define gcc_version_message SB-%{release},gcc-%{gcc_version}/newlib-%{newlib_version}
+
+#
+# Enable G++
+#
+%define enable_cxx 1
+
+#
+# Tool configuration.
+#
+binutils-2.22-1
+gcc-4.6-newlib-1.20-1
+expat-2.1.0-1
+gdb-7.5-1
Index: rtems/config/4.11/rtems-arm.bset
===================================================================
--- rtems/config/4.11/rtems-arm.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-arm.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -32,5 +32,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-autotools.bset
===================================================================
--- rtems/config/4.11/rtems-autotools.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-autotools.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -20,4 +20,4 @@
 # Tools configuration.
 #
-autoconf-2.69-1
-automake-1.12.2-1
+devel/autoconf-2.69-1
+devel/automake-1.12.2-1
Index: rtems/config/4.11/rtems-avr.bset
===================================================================
--- rtems/config/4.11/rtems-avr.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-avr.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -39,5 +39,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-bfin.bset
===================================================================
--- rtems/config/4.11/rtems-bfin.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-bfin.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-h8300.bset
===================================================================
--- rtems/config/4.11/rtems-h8300.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-h8300.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-i386.bset
===================================================================
--- rtems/config/4.11/rtems-i386.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-i386.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -25,5 +25,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-lm32.bset
===================================================================
--- rtems/config/4.11/rtems-lm32.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-lm32.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -26,5 +26,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.5.3-newlib-2.0.0-1
Index: rtems/config/4.11/rtems-m32c.bset
===================================================================
--- rtems/config/4.11/rtems-m32c.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-m32c.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -35,5 +35,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-m32r.bset
===================================================================
--- rtems/config/4.11/rtems-m32r.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-m32r.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-m68k.bset
===================================================================
--- rtems/config/4.11/rtems-m68k.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-m68k.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -22,5 +22,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-microblaze.bset
===================================================================
--- rtems/config/4.11/rtems-microblaze.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-microblaze.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -26,5 +26,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-mips.bset
===================================================================
--- rtems/config/4.11/rtems-mips.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-mips.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-moxie.bset
===================================================================
--- rtems/config/4.11/rtems-moxie.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-moxie.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -27,6 +27,6 @@
 # Tools configuration.
 #
-expat-2.1.0-1
-dtc-1.2.0
+devel/expat-2.1.0-1
+devel/dtc-1.2.0
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-nios2.bset
===================================================================
--- rtems/config/4.11/rtems-nios2.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-nios2.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -23,5 +23,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-nios2-binutils-2.20-1
 tools/rtems-nios2-gcc-4.1-newlib-1.19.0-1
Index: rtems/config/4.11/rtems-powerpc.bset
===================================================================
--- rtems/config/4.11/rtems-powerpc.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-powerpc.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-sh.bset
===================================================================
--- rtems/config/4.11/rtems-sh.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-sh.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-sparc.bset
===================================================================
--- rtems/config/4.11/rtems-sparc.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-sparc.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-sparc64.bset
===================================================================
--- rtems/config/4.11/rtems-sparc64.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-sparc64.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: rtems/config/4.11/rtems-v850.bset
===================================================================
--- rtems/config/4.11/rtems-v850.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ rtems/config/4.11/rtems-v850.bset	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -21,5 +21,5 @@
 # Tools configuration.
 #
-expat-2.1.0-1
+devel/expat-2.1.0-1
 tools/rtems-binutils-2.23.2-1
 tools/rtems-gcc-4.8.0-newlib-cvs-1
Index: urce-builder/config/autoconf-2.68-1.cfg
===================================================================
--- source-builder/config/autoconf-2.68-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# Autoconf 2.68.
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define autoconf_version 2.68
-
-#
-# The autoconf build instructions. We use 2.xx Release 1.
-#
-%include %{_configdir}/autoconf-2-1.cfg
Index: urce-builder/config/autoconf-2.69-1.cfg
===================================================================
--- source-builder/config/autoconf-2.69-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# Autoconf 2.69.
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define autoconf_version 2.69
-
-#
-# The autoconf build instructions. We use 2.xx Release 1.
-#
-%include %{_configdir}/autoconf-2-1.cfg
Index: urce-builder/config/autoconf-internal-2.68-1.cfg
===================================================================
--- source-builder/config/autoconf-internal-2.68-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,8 +1,0 @@
-#
-# Internal Autoconf 2.68.
-#
-
-%warning This autoconf build is for internal bootstraps, no package created
-
-%define _internal_autotools yes
-%include %{_configdir}/autoconf-2.68-1.cfg
Index: urce-builder/config/automake-1.12-1.cfg
===================================================================
--- source-builder/config/automake-1.12-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# Automake 1.12
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define automake_version 1.12
-
-#
-# The automake build instructions. We use 1.xx Release 1.
-#
-%include %{_configdir}/automake-1-1.cfg
Index: urce-builder/config/automake-1.12.2-1.cfg
===================================================================
--- source-builder/config/automake-1.12.2-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# Automake 1.12.2
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define automake_version 1.12.2
-
-#
-# The automake build instructions. We use 1.xx Release 1.
-#
-%include %{_configdir}/automake-1-1.cfg
Index: urce-builder/config/automake-internal-1.12-1.cfg
===================================================================
--- source-builder/config/automake-internal-1.12-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,8 +1,0 @@
-#
-# Internal Automake 1.12
-#
-
-%warning This automake build is for internal bootstraps, no package created
-
-%define _internal_autotools yes
-%include %{_configdir}/automake-1.12-1.cfg
Index: urce-builder/config/binutils-2.22-1.cfg
===================================================================
--- source-builder/config/binutils-2.22-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,17 +1,0 @@
-#
-# Binutils 2.22.
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/checks.cfg
-%include %{_configdir}/base.cfg
-
-%define binutils_version 2.22
-
-#
-# The binutils build instructions. We use 2.xx Release 1.
-#
-%include %{_configdir}/binutils-2-1.cfg
Index: urce-builder/config/dtc-1.2.0.cfg
===================================================================
--- source-builder/config/dtc-1.2.0.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# DTC (Device Tree Compiler) 1.2.0
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define dtc_version 1.2.0
-
-#
-# The DTC build instructions. We use 1.x.x Release 1.
-#
-%include %{_configdir}/dtc-1-1.cfg
Index: urce-builder/config/expat-2.1.0-1.cfg
===================================================================
--- source-builder/config/expat-2.1.0-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# Expat 2.1.0
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define expat_version 2.1.0
-
-#
-# The Expat build instructions. We use 2.xx Release 1.
-#
-%include %{_configdir}/expat-2-1.cfg
Index: urce-builder/config/gcc-4.6-newlib-1.20-1.cfg
===================================================================
--- source-builder/config/gcc-4.6-newlib-1.20-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,26 +1,0 @@
-#
-# GCC 2.6, Newlib 1.20
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/checks.cfg
-%include %{_configdir}/base.cfg
-
-%define gcc_version    4.6.3
-%define newlib_version 1.20.0
-%define mpfr_version   3.0.1
-%define mpc_version    0.8.2
-%define gmp_version    5.0.5
-
-#
-# Project custom message
-#
-%define gcc_version_message GCC %{release}-RSB(%{_sbgit_id}),gcc-%{gcc_version}/newlib-%{newlib_version}
-
-#
-# The gcc/newlib build instructions. We use 4.6 Release 1.
-#
-%include %{_configdir}/gcc-4.6-1.cfg
Index: urce-builder/config/gcc-4.7-newlib-1.20-1.cfg
===================================================================
--- source-builder/config/gcc-4.7-newlib-1.20-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,26 +1,0 @@
-#
-# GCC 4.7.2, Newlib 1.20
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/checks.cfg
-%include %{_configdir}/base.cfg
-
-%define gcc_version    4.7.2
-%define newlib_version 1.20.0
-%define mpfr_version   3.0.1
-%define mpc_version    1.0.1
-%define gmp_version    5.0.5
-
-#
-# Project custom message
-#
-%define gcc_version_message GCC %{release}-RSB(%{_sbgit_id}),gcc-%{gcc_version}/newlib-%{newlib_version}
-
-#
-# The gcc/newlib build instructions. We use 4.7 Release 1.
-#
-%include %{_configdir}/gcc-4.7-1.cfg
Index: urce-builder/config/gnu-tools-4.6.bset
===================================================================
--- source-builder/config/gnu-tools-4.6.bset	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,25 +1,0 @@
-#
-# GNU Tools Set
-#
-
-%define release 1
-
-package: gnu-tool-%{_target}-%{release}
-
-#
-# Project custom message
-#
-%define gcc_version_message SB-%{release},gcc-%{gcc_version}/newlib-%{newlib_version}
-
-#
-# Enable G++
-#
-%define enable_cxx 1
-
-#
-# Tool configuration.
-#
-binutils-2.22-1
-gcc-4.6-newlib-1.20-1
-expat-2.1.0-1
-gdb-7.5-1
Index: urce-builder/config/libusb-1.0.9-1.cfg
===================================================================
--- source-builder/config/libusb-1.0.9-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#
-# LibUSB 1.0.9
-#
-
-%ifn %{defined release}
-%error No 'release' defined
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define libusb_version 1.0.9
-
-Name: libusb-%{libusb_version}-%{_host}-%{release}
-
-%description
-LibUSB for host %{_host}.
-
-#
-# The Libuxb build instructions. We use 1.xx Release 1.
-#
-%include %{_configdir}/libusb-1-1.cfg
Index: urce-builder/config/m4-1.4.16-1.cfg
===================================================================
--- source-builder/config/m4-1.4.16-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,16 +1,0 @@
-#
-# M4 1.4.16
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define m4_version 1.4.16
-
-#
-# The m4 build instructions. We use 1.x.x Release 1.
-#
-%include %{_configdir}/m4-1-1.cfg
Index: urce-builder/config/texane-stlink-1.cfg
===================================================================
--- source-builder/config/texane-stlink-1.cfg	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ 	(revision )
@@ -1,70 +1,0 @@
-#
-# ST-Link Version 1.
-#
-# This configuration file configure's, make's and install's SL-Link.
-#
-
-%if %{release} == %{nil}
-%define release 1
-%endif
-
-%include %{_configdir}/base.cfg
-
-%define stlink_version 3494c11
-
-Name:      texane-stlink-%{stlink_version}-%{release}
-Summary:   ST-Link v%{stlink_version} for host %{_host}
-Version:   %{stlink_version}
-Release:   %{release}
-URL: 	   https://github.com/texane/stlink/
-BuildRoot: %{_tmppath}/%{name}-root-%(%{__id_u} -n)
-
-#
-# Source
-#
-Source0: https://api.github.com/repos/texane/stlink/texane-stlink-%{stlink_version}.tar.gz
-VersionControl0: git clone https://github.com/texane/stlink.git
-Patch0: texane-stlink-3494c11-2.diff
-
-#
-# Prepare the source code.
-#
-%prep
-%setup -q -c -n %{name}-%{version}
-cd texane-stlink-%{stlink_version}
-%{?patch0:%patch0 -p1}
-cd ..
-
-%build
-  export PATH="%{_bindir}:${PATH}"
-
-  cd texane-stlink-%{stlink_version}
-
-  ./autogen.sh
-
-%if "%{_build}" != "%{_host}"
-  CFLAGS_FOR_BUILD="-g -O2 -Wall" \
-%endif
-  CPPFLAGS="-I $SB_TMPPREFIX/include/libusb-1.0" \
-  CFLAGS="$SB_OPT_FLAGS" \
-  LDFLAGS="-L $SB_TMPPREFIX/lib" \
-  ./configure \
-    --build=%{_build} --host=%{_host} \
-    --verbose \
-    --prefix=%{_prefix} --bindir=%{_bindir} \
-    --exec-prefix=%{_exec_prefix} \
-    --includedir=%{_includedir} --libdir=%{_libdir} \
-    --mandir=%{_mandir} --infodir=%{_infodir}
-
-  %{__make} %{?_smp_mflags} all
-
-  cd ..
-
-%install
-  export PATH="%{_bindir}:${PATH}"
-  rm -rf $SB_BUILD_ROOT
-
-  cd texane-stlink-%{stlink_version}
-  %{__make} DESTDIR=$SB_BUILD_ROOT install
-
-  cd ..
Index: source-builder/defaults.mc
===================================================================
--- source-builder/defaults.mc	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ source-builder/defaults.mc	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -48,5 +48,5 @@
 # GNU triples needed to build packages
 _host:               triplet, required, ''
-_build:              triplet, required, '%{_host}'
+_build:              triplet, required, ''
 _target:             none,    optional, ''
 
@@ -58,5 +58,5 @@
 _arch:               none,    none,     '%{_host_arch}'
 _topdir:             dir,     required, '%{_cwd}'
-_configdir:          dir,     optional, '%{_topdir}/config:%{_sbdir}/config'
+_configdir:          dir,     optional, '%{_topdir}/config:%{_sbdir}/config:%{_sbtop}/bare/config'
 _tardir:             dir,     optional, '%{_topdir}/tar'
 _sourcedir:          dir,     optional, '%{_topdir}/sources'
Index: source-builder/sb/macros.py
===================================================================
--- source-builder/sb/macros.py	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ source-builder/sb/macros.py	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -63,4 +63,5 @@
             self.macros['global']['_cwd'] = ('dir', 'required', path.abspath(os.getcwd()))
             self.macros['global']['_sbdir'] = ('dir', 'required', path.abspath(sbdir))
+            self.macros['global']['_sbtop'] = ('dir', 'required', path.abspath(path.dirname(sbdir)))
         else:
             self.macros = {}
@@ -146,5 +147,5 @@
         if value[0] not in ['none', 'triplet', 'dir', 'file', 'exe']:
             raise TypeError('bad value tuple (type field): %s' % (value[0]))
-        if value[1] not in ['none', 'optional', 'required', 
+        if value[1] not in ['none', 'optional', 'required',
                             'override', 'undefine', 'convert']:
             raise TypeError('bad value tuple (attrib field): %s' % (value[1]))
Index: source-builder/sb/options.py
===================================================================
--- source-builder/sb/options.py	(revision df9c0816e28d1fdebe259a725d74615620387c2f)
+++ source-builder/sb/options.py	(revision 1a56a07605ba9720ec91c9bbf17566ffc7887bfe)
@@ -259,5 +259,8 @@
         # Must have a host
         if self.defaults['_host'] == self.defaults['nil']:
-            raise error.general('host not set')
+            raise error.general('--host not set')
+        # Must have a host
+        if self.defaults['_build'] == self.defaults['nil']:
+            raise error.general('--build not set')
         # Manage the regression option
         if self.opts['regression'] != '0':
@@ -509,5 +512,5 @@
                 overrides = linux.load()
         except:
-            raise error.general('failed to load %s host support' % (uname))
+            raise error.general('failed to load %s host support' % (uname[0]))
     else:
         raise error.general('unsupported host type; please add')
@@ -525,5 +528,5 @@
 def run(args):
     try:
-        _opts = load(args = args)
+        _opts = load(args = args, defaults = 'defaults.mc')
         print 'Options:'
         print _opts
